# -*- coding: utf-8 -*-
# Generated by Django 1.10.4 on 2018-05-25 05:24
from __future__ import unicode_literals

from django.db import migrations, models


def add_conference_to_previous_schedules(apps, schema_editor):
    Schedule = apps.get_model('events', 'Schedule')
    db_alias = schema_editor.connection.alias
    for schedule in Schedule.objects.using(db_alias).all():
        schedule.conference = 'pycontw-{}'.format(schedule.created_at.year)
        schedule.save()


class Migration(migrations.Migration):

    dependencies = [
        ('events', '0013_auto_20180305_1339'),
    ]

    operations = [
        migrations.AddField(
            model_name='schedule',
            name='conference',
            field=models.SlugField(choices=[('pycontw-2016', 'PyCon Taiwan 2016'), ('pycontw-2017', 'PyCon Taiwan 2017'), ('pycontw-2018', 'PyCon Taiwan 2018')], default='pycontw-2018', verbose_name='conference'),
        ),

        migrations.RunPython(
            code=add_conference_to_previous_schedules,
            reverse_code=migrations.RunPython.noop,
        ),
    ]
