# -*- coding: utf-8 -*-
# Generated by Django 1.9.3 on 2016-04-18 12:50
from __future__ import unicode_literals
from functools import partial
from django.db import migrations, models


LANG_FORWARD_MAP = {
    'ENG': 'ENEN',
    'CHI': 'ZHZH',
}

LANG_REVERSE_MAP = {
    'ENEN': 'ENG',
    'ZHZH': 'CHI',
    'ZHEN': 'CHI',
    'TAI':  'CHI',
}


def lang_map_func(apps, schema_editor, lang_mapping=None):
    TalkProposal = apps.get_model('proposals', 'TalkProposal')
    TutorialProposal = apps.get_model('proposals', 'TutorialProposal')
    db_alias = schema_editor.connection.alias
    for Proposal in [TalkProposal, TutorialProposal]:
        for old_lang, new_lang in lang_mapping.items():
            Proposal.objects.using(db_alias).filter(
                language=old_lang,
            ).update(
                language=new_lang,
            )


class Migration(migrations.Migration):

    dependencies = [
        ('proposals', '0024_auto_20160307_0412'),
    ]

    operations = [
        migrations.AlterField(
            model_name='talkproposal',
            name='language',
            field=models.CharField(choices=[('ENEN', 'English talk'), ('ZHEN', 'Chinese talk w. English slides'), ('ZHZH', 'Chinese talk w. Chinese slides'), ('TAI', 'Taiwanese Hokkien')], max_length=4, verbose_name='language'),
        ),
        migrations.AlterField(
            model_name='tutorialproposal',
            name='language',
            field=models.CharField(choices=[('ENEN', 'English talk'), ('ZHEN', 'Chinese talk w. English slides'), ('ZHZH', 'Chinese talk w. Chinese slides'), ('TAI', 'Taiwanese Hokkien')], max_length=4, verbose_name='language'),
        ),
        migrations.RunPython(
            partial(lang_map_func, lang_mapping=LANG_FORWARD_MAP),
            partial(lang_map_func, lang_mapping=LANG_REVERSE_MAP),
        ),
    ]
