# -*- coding: utf-8 -*-
# Generated by Django 1.9.5 on 2016-05-30 12:55
from __future__ import unicode_literals

from django.db import migrations, models


def update_level(apps, schema_editor):
    # We can't import the Person model directly as it may be a newer
    # version than this migration expects. We use the historical version.
    Sponsor = apps.get_model("sponsors", "Sponsor")
    for sponsor in Sponsor.objects.all():
        sponsor.level = sponsor.level + 1
        sponsor.save()


class Migration(migrations.Migration):

    dependencies = [
        ('sponsors', '0004_auto_20160501_1632'),
    ]

    operations = [
        migrations.RunPython(update_level),
        migrations.AlterField(
            model_name='sponsor',
            name='level',
            field=models.PositiveSmallIntegerField(choices=[(0, 'partner'), (1, 'platinum'), (2, 'gold'), (3, 'silver'), (4, 'bronze'), (5, 'special')], verbose_name='level'),
        ),
    ]
